<?php
session_start();
include 'conexion/conn.php';

$rut=$_REQUEST['rut'];
$clave=$_REQUEST['clave'];

$rs_sesion = mysql_query("SELECT MAX(id_sesion) as id_sesion FROM sys_sesion");

		if($row_sesion = mysql_fetch_array($rs_sesion)){
			$identificador_sesion=$row_sesion['id_sesion']+1;
		}	

	$rsVerificaUsuario = mysql_query("SELECT sys_usuario.usuario_rut, sys_usuario.usuario_clave, sys_usuario.id_tipousuario, sys_usuario.usuario_fechaingreso, sys_tipo_usuario.nombre_tipousuario, sys_usuario.usuario_intentos, sys_usuario.usuario_estado, sys_usuario.usuario_nombre, sys_usuario.usuario_apepaterno, sys_usuario.usuario_apematerno, sys_usuario.cliente_id FROM sys_usuario
INNER JOIN sys_tipo_usuario ON sys_usuario.id_tipousuario=sys_tipo_usuario.id_tipousuario
WHERE sys_usuario.usuario_rut='$rut'");

if($rowVerificaUsuario = mysql_fetch_array($rsVerificaUsuario)){	
	$tiponombre=$rowVerificaUsuario['nombre_tipousuario'];//PERFIL NOMBRE
	$rut=$rowVerificaUsuario['usuario_rut'];
	$claveTraida=$rowVerificaUsuario['usuario_clave'];
	$intentos=$rowVerificaUsuario['usuario_intentos'];
	$estado=$rowVerificaUsuario['usuario_estado'];
	$cliente_id=$rowVerificaUsuario['cliente_id'];
	
	if($clave==$claveTraida and $intentos<3 and $estado=='ACTIVO'){		
		$_SESSION['rut'] = $rowVerificaUsuario['usuario_rut'];
		$_SESSION['nombre'] = $rowVerificaUsuario['usuario_nombre']." ".$rowVerificaUsuario['usuario_apepaterno']." ".$rowVerificaUsuario['usuario_apematerno'] ;
		$_SESSION['tipo'] = $rowVerificaUsuario['id_tipousuario'];
		$_SESSION['perfil'] = $tiponombre;
		$_SESSION['sesion'] = $identificador_sesion;
		$_SESSION['usuario'] = $rowVerificaUsuario['usuario_nombre']." ".$rowVerificaUsuario['usuario_apepaterno'];
		$_SESSION['cliente'] = $cliente_id;
			
		$sql =  ("INSERT INTO sys_sesion VALUES('$identificador_sesion', '".$rowVerificaUsuario['usuario_rut']."', now(), '$cliente_id')");
		$result = @mysql_query($sql);	
		$resultado=mysql_query("UPDATE sys_usuario SET usuario_intentos='0', usuario_fechaingreso=now() WHERE usuario_rut='$rut'");
		echo json_encode(array('success'=>true,'perfil'=>$_SESSION['perfil']));
		
	}elseif($clave!=$claveTraida and $intentos<3 and $estado=='ACTIVO'){
		$intentos++;
		$intentos_restante=3-$intentos;
		if($intentos<3){
			$resultado=mysql_query("UPDATE sys_usuario SET usuario_intentos='$intentos' WHERE usuario_rut='$rut'");
			echo json_encode(array('msg'=>'Clave inválida. Le quedan '.$intentos_restante.' intentos'));	
		}else{
			$resultado=mysql_query("UPDATE sys_usuario SET usuario_intentos='$intentos', usuario_estado='BLOQUEADO' WHERE usuario_rut='$rut'");
			echo json_encode(array('msg'=>'Usuario bloqueado. Ha superado el numero de Intentos'));
		}
	}elseif($estado=='BLOQUEADO'){
			echo json_encode(array('msg'=>'Usuario bloqueado'));
	}elseif($estado=='INACTIVO'){
			echo json_encode(array('msg'=>'Usuario inactivo'));
	}
}else{
	echo json_encode(array('msg'=>'Datos ingresados no válidos'));
}

?>